org.wso2.extension.siddhi.execution.ml.samoa.utils.clustering

## Class StreamingClusteringEvaluationProcessor

- java.lang.Object
- - org.wso2.extension.siddhi.execution.ml.samoa.utils.EvaluationProcessor
  - - org.wso2.extension.siddhi.execution.ml.samoa.utils.clustering.StreamingClusteringEvaluationProcessor

- All Implemented Interfaces:
    com.github.javacliparser.Configurable, Serializable, org.apache.samoa.core.Processor

      public class StreamingClusteringEvaluationProcessor
      extends EvaluationProcessor

  Streaming Clustering Evaluation Processor
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `StreamingClusteringEvaluationProcessor.Builder` Builder Class

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `numberOfClusters`
    `Queue<org.apache.samoa.moa.cluster.Clustering>` | `samoaClusters`

    - ### Fields inherited from class org.wso2.extension.siddhi.execution.ml.samoa.utils.EvaluationProcessor

      `experimentStart, firstDump, immediateResultStream, learningCurve, processId, sampleStart, totalCount`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.samoa.core.Processor` | `newProcessor(org.apache.samoa.core.Processor p)`
    `void` | `onCreate(int id)`
    `boolean` | `process(org.apache.samoa.core.ContentEvent event)`
    `void` | `setNumberOfClusters(int numberOfClusters)`
    `void` | `setSamoaClusters(Queue<org.apache.samoa.moa.cluster.Clustering> samoaClusters)`

    - ### Methods inherited from class org.wso2.extension.siddhi.execution.ml.samoa.utils.EvaluationProcessor

      `toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### samoaClusters

          public Queue<org.apache.samoa.moa.cluster.Clustering> samoaClusters

    - #### numberOfClusters

          public int numberOfClusters

  - ### Method Detail

    - #### process

          public boolean process(org.apache.samoa.core.ContentEvent event)

      Specified by:
        `process` in interface `org.apache.samoa.core.Processor`
      Specified by:
        `process` in class `EvaluationProcessor`

    - #### onCreate

          public void onCreate(int id)

      Specified by:
        `onCreate` in interface `org.apache.samoa.core.Processor`
      Specified by:
        `onCreate` in class `EvaluationProcessor`

    - #### newProcessor

          public org.apache.samoa.core.Processor newProcessor(org.apache.samoa.core.Processor p)

      Specified by:
        `newProcessor` in interface `org.apache.samoa.core.Processor`
      Specified by:
        `newProcessor` in class `EvaluationProcessor`

    - #### setSamoaClusters

          public void setSamoaClusters(Queue<org.apache.samoa.moa.cluster.Clustering> samoaClusters)

    - #### setNumberOfClusters

          public void setNumberOfClusters(int numberOfClusters)

Copyright © 2017 WSO2. All rights reserved.